Bug 1275177 - tipc tool missing (iproute2)
tipc tool missing (iproute2)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Phil Sutter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 04:33 EDT by Richard Alpe
Modified: 2015-10-31 22:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: iproute-4.1.1-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:27:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Alpe 2015-10-26 04:33:43 EDT
Description of problem:
The tipc tool was introduced in iproute2 v4.0.0-70. This tool replaces the old tipc-config tool for configuring the tipc protocol. It uses the "new" tipc netlink kernel API intoduced in v3.18.

The tipc tool depends on libmnl, which is a new dependency for iproute2. Considering that Fedora 23 comes with both libmnl and tipc kernel support I think the new tipc tool should be present as well.

Version-Release number of selected component (if applicable):
Fedora release 23 (Twenty Three)
Iproute2: iproute-4.1.1-1.fc23.x86_64
Kernel: 4.2.0-300.fc23.x86_64

How reproducible:
$ tipc
bash: tipc: command not found...

Additional info:
Comment 1 Fedora Update System 2015-10-26 17:12:49 EDT
iproute-4.1.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-402d198903
Comment 2 Fedora Update System 2015-10-26 22:17:36 EDT
iproute-4.1.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update iproute'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-402d198903
Comment 3 Richard Alpe 2015-10-27 05:26:01 EDT
I checked with Fedora 23 testing and now the tipc command exists. I'm not sure if this was something you did as an action from this case or that I wasn't using the testing channel previously as iproute changelog say:

* Sun Oct 04 2015 Phil Sutter <psutter@redhat.com> - 4.1.1-3
- Add missing build dependency to libmnl-devel
- Ship tipc utility

Anyway. It's solved in testing. Does this mean it will be part of Fedora 23 once it's released?

Thanks
Richard
Comment 4 Phil Sutter 2015-10-27 13:08:13 EDT
(In reply to Richard Alpe from comment #3)
> I checked with Fedora 23 testing and now the tipc command exists. I'm not
> sure if this was something you did as an action from this case or that I
> wasn't using the testing channel previously as iproute changelog say:
> 
> * Sun Oct 04 2015 Phil Sutter <psutter@redhat.com> - 4.1.1-3
> - Add missing build dependency to libmnl-devel
> - Ship tipc utility

Sorry for the confusion. My local Fedora VM's date was awfully off and I didn't realize that before pushing the new release. So you really found a bug, and my fix indeed was a reaction to this ticket. :)

> Anyway. It's solved in testing. Does this mean it will be part of Fedora 23
> once it's released?

Yes, that's what I expect.

Cheers, Phil
Comment 5 Fedora Update System 2015-10-31 22:27:47 EDT
iproute-4.1.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.